Bug 1045111 - [abrt] lacewing: _linear_draw_rle_sprite8(): lacewing killed by SIGSEGV
Summary: [abrt] lacewing: _linear_draw_rle_sprite8(): lacewing killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lacewing
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans de Goede
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bc1a9236d07b53aaaca5e12b64f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-19 15:58 UTC by Leon
Modified: 2014-06-22 23:58 UTC (History)
1 user (show)

Fixed In Version: lacewing-1.10-23.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-22 23:57:01 UTC


Attachments (Terms of Use)
File: backtrace (20.97 KB, text/plain)
2013-12-19 15:58 UTC, Leon
no flags Details
File: cgroup (141 bytes, text/plain)
2013-12-19 15:58 UTC, Leon
no flags Details
File: core_backtrace (2.28 KB, text/plain)
2013-12-19 15:58 UTC, Leon
no flags Details
File: dso_list (4.02 KB, text/plain)
2013-12-19 15:58 UTC, Leon
no flags Details
File: environ (1.86 KB, text/plain)
2013-12-19 15:58 UTC, Leon
no flags Details
File: limits (1.29 KB, text/plain)
2013-12-19 15:58 UTC, Leon
no flags Details
File: maps (19.67 KB, text/plain)
2013-12-19 15:58 UTC, Leon
no flags Details
File: open_fds (144 bytes, text/plain)
2013-12-19 15:58 UTC, Leon
no flags Details
File: proc_pid_status (931 bytes, text/plain)
2013-12-19 15:58 UTC, Leon
no flags Details

Description Leon 2013-12-19 15:58:10 UTC
Version-Release number of selected component:
lacewing-1.10-20.fc19

Additional info:
reporter:       libreport-2.1.10
backtrace_rating: 4
cmdline:        /usr/bin/lacewing
crash_function: _linear_draw_rle_sprite8
executable:     /usr/bin/lacewing
kernel:         3.11.10-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Dec 19 15:48:25 localhost abrt-hook-ccpp[8078]: Saved core dump of pid 8069 (/usr/bin/lacewing) to /var/tmp/abrt/ccpp-2013-12-19-15:48:24-8069 (38670336 bytes)

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 _linear_draw_rle_sprite8 at /usr/src/debug/allegro-4.4.2/src/c/cspr.h:944
 #1 draw_rle_sprite at /usr/include/allegro/inline/rle.inl:29
 #2 display_ship_choice2 at menu.c:1722
 #3 display_ship_choice at menu.c:1676
 #4 choose_ships at menu.c:1610
 #5 menu_loop at menu.c:363

Comment 1 Leon 2013-12-19 15:58:20 UTC
Created attachment 839042 [details]
File: backtrace

Comment 2 Leon 2013-12-19 15:58:27 UTC
Created attachment 839043 [details]
File: cgroup

Comment 3 Leon 2013-12-19 15:58:32 UTC
Created attachment 839044 [details]
File: core_backtrace

Comment 4 Leon 2013-12-19 15:58:37 UTC
Created attachment 839045 [details]
File: dso_list

Comment 5 Leon 2013-12-19 15:58:40 UTC
Created attachment 839047 [details]
File: environ

Comment 6 Leon 2013-12-19 15:58:44 UTC
Created attachment 839049 [details]
File: limits

Comment 7 Leon 2013-12-19 15:58:49 UTC
Created attachment 839052 [details]
File: maps

Comment 8 Leon 2013-12-19 15:58:52 UTC
Created attachment 839055 [details]
File: open_fds

Comment 9 Leon 2013-12-19 15:58:56 UTC
Created attachment 839057 [details]
File: proc_pid_status

Comment 10 Hans de Goede 2014-06-14 09:29:31 UTC
Thanks for the bug-report. An update package fixing this on its way tp updates-testing.

Comment 11 Fedora Update System 2014-06-14 10:01:18 UTC
lacewing-1.10-23.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/lacewing-1.10-23.fc20

Comment 12 Fedora Update System 2014-06-14 10:02:02 UTC
lacewing-1.10-23.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/lacewing-1.10-23.fc19

Comment 13 Fedora Update System 2014-06-15 01:51:02 UTC
Package lacewing-1.10-23.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing lacewing-1.10-23.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7387/lacewing-1.10-23.fc19
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2014-06-22 23:57:01 UTC
lacewing-1.10-23.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2014-06-22 23:58:33 UTC
lacewing-1.10-23.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.